<header class="py-3 bg-dark">
    <div class="container d-flex flex-wrap justify-content-center">
        <a th:href="@{/}" class="d-flex align-items-center mb-3 mb-lg-0 me-lg-auto text-dark text-decoration-none">
            <svg class="bi me-2" width="40" height="32">
                <use xlink:href="#bootstrap"></use>
            </svg>
            <span class="h1 text-white text-start f-bold">DigiTroc</span>
        </a>
        <form class="col-12 col-lg-auto mb-3 mb-lg-0 d-flex py-2" th:action="@{/search}" method="get">
            <input type="text" class="form-control" placeholder="Search..." name="keyword" th:value="${keyword}" aria-label="Search">
            <button class="btn btn-outline-secondary fas fa-search" type="submit"></button>
        </form>
    </div>

</header>

<nav class="navbar navbar-expand-sm navbar-dark py-2 bg-dark">
    <div class="container d-flex flex-wrap collapse ">
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="nav me-auto">
          <li class="nav-item"><a th:href="@{/}" class="nav-link link-light px-5">ACCUEIL</a></li>
          <li class="nav-item"><a th:href="@{/library}" class="nav-link link-light px-5">LA BIBLIOTHEQUE</a></li>
          <li class="nav-item"><a th:href="@{/profil}" class="nav-link link-light px-5">PROFIL</a></li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle link-light px-5" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              ECHANGES
            </a>
            <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
              <li><a class="dropdown-item" th:href="@{/barter}" >LISTE DES ECHANGES</a></li>
              <li><a class="dropdown-item" th:href="@{/barter-notif/}">NOTIFICATIONS D'ECHANGES</a></li>
            </ul>
          </li>          
        </ul>
        <ul class="nav">
          <li><a th:href="@{/login}" class="nav-link link-light"><button class="btn btn-success"
                type="button">S'inscrire/ Se
                connecter</button></a>
          </li>
          <li class="nav-item px-2 text-start mb-3" sec:authorize="isAuthenticated()">
            <form th:action="@{/logout}" method="post">
                <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
                <button class="p-1 btn btn-danger m-2"><i class="fas fa-power-off"></i></button>
            </form>
        </li>
        </ul>
      </div>
      <button class="navbar-toggler fixed-top" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
        aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    </div>
  </nav>
